### Method

# Gimp Vectors stroke_scale

#### Declaration [src]

    gboolean
    gimp_vectors_stroke_scale (
      GimpVectors* vectors,
      gint stroke_id,
      gdouble scale_x,
      gdouble scale_y
    )

#### Description [src]

Scales the given stroke.

Scale the given stroke.

Available since: | 2.4

#### Parameters

`stroke_id` | `gint`
| The stroke ID.
`scale_x` | `gdouble`
| Scale factor in x direction.
`scale_y` | `gdouble`
| Scale factor in y direction.

#### Return value

Returns: | `gboolean`
| TRUE on success.